My Oracle Support Banner

BRM 12.3 Interim Patch 3 Pcm.jar Compatibility (Doc ID 2739155.1)

Last updated on JUNE 06, 2022

Applies to:

Oracle Communications Billing and Revenue Management - Version 12.0.0.3.0 and later
Information in this document applies to any platform.

Goal

One user has upgraded from Billing and Revenue Management (BRM) 7.5 Patch Set (PS)22 to BRM 12.0 PS3 Interim Patch (IP)3, there is a change in pcm.jar and pcmext.jar files. These jar files are used by a WebSphere Process Server application which is connecting to BRM for order processing.

After replacing the 7.5 PS22 jar files with BRM 12.0 PS3 IP3 server side jar files, this application gives below error:


This application is using JVM 1.6 which comes along with the application.

While verifying the BRM 7.5 PS22 jar file, in MANIFEST.MF , it has below:
Manifest-Version: 1.0
Ant-Version: Apache Ant 1.9.4
Created-By: 1.6.0_26-b03
Permissions: all-permissions
Codebase: *
Application-Name: Oracle BRM

Whereas in BRM 12.0 PS3 IP3 jar file:
Manifest-Version: 1.0
Ant-Version: Apache Ant 1.9.4
Created-By: 1.8.0_144-b01
Permissions: all-permissions
Codebase: *
Application-Name: Oracle BRM

This confirms that jar files from 12.0 PS3 IP3 are not compatible with JVM 1.6 which this application is using.

Following are the questions to make this application work considering the limitation of JVM:

1) Can Oracle provide these 2 jars files compatible with 1.6 version like in BRM 7.5 PS22?
2) Can customer continue using pcm.jar and pcmext.jar files from 7.5 PS22?
    If yes, what is the difference in these jar files from version 7.5 PS22 to 12.0 PS3 IP3 to evaluate the impact?
 

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.